<div class="container">
    <div class="row pt-1 px-3">
        <button (click)="backRoom()" [disabled]="!index" class="btn btn-light col col-3 col-md-2 col-lg-1">
            <i [ngClass]="{'fa fa-3x fa-angle-double-left': !clickBack }"></i>
        </button>
        <div class="col-6 col-md-4 col-lg-3 mt-4 text-center h2" [ngClass]="{'ng-danger text-white': fso }">
            <i class="fa fa-bed fa-lg mr-3"></i>
            {{ _RoomStatusService.rooms[index]?.cuarto }}
        </div>

        <button (click)="nextRoom()" [disabled]="index == totalRoom" class="btn btn-light col col-3 col-md-2 col-lg-1">
            <i [ngClass]="{'fa fa-3x fa-angle-double-right': !clickNext }"></i>
        </button>

        <h4 class="font-weight-bold float-left col-md-4 col-lg-5 pl-3 typeRoom-big">
            {{ _RoomStatusService.rooms[index]?.udesc }}
            <small>({{ _RoomStatusService.rooms[index]?.tcuarto }})</small>
            <form class="form-inline mt-3">
                <div class="input-group">
                    <input type="text" class="form-control form-control-lg" placeholder="Buscar cuarto" #buscar
                        (keyup.enter)="searchOne(buscar.value)">
                    <span class="input-group-append">
                        <button (click)="searchOne(buscar.value)" class="btn btn-light">
                            <i class="fa fa-search"></i>
                        </button>
                    </span>
                </div>

            </form>
            <span class="h6" *ngIf="!roomSearch">
                Cuarto inválido...
            </span>
        </h4>
    </div>
</div>

<h4 class="font-weight-bold float-left col-sm-5 col-md-5 col-lg-4 pl-3 pt-2 typeRoom-small">
    {{ _RoomStatusService.rooms[index]?.udesc }}
    <small>({{ _RoomStatusService.rooms[index]?.tcuarto }})</small>
    <br>
    <span class="h6 caract">{{ _RoomStatusService.rooms[index]?.ccarac }}</span>
    <form class="form-inline mt-3">
        <div class="input-group">
            <input type="text" (keyup.enter)="searchOne(buscar1.value)" class="form-control form-control-lg"
                placeholder="Buscar cuarto" #buscar1>
            <span class="input-group-append">
                <button (click)="searchOne(buscar1.value)" class="btn btn-light">
                    <i class="fa fa-search"></i>
                </button>
            </span>
        </div>
    </form>
    <span class="h6" *ngIf="!roomSearch">Cuarto inválido...</span>
</h4>

<div class="pt-2">
    <div class="row text-center status-room d-flex justify-content-center">
        <button class="btn btn-outline-dark border-status btn-style">
            <label class="font-weight-bold">Recepción</label>
            <h3>{{ _RoomStatusService.rooms[index]?.cerecep }}</h3>
        </button>
        <button class="btn border-status btn-style btn-style"
            [ngClass]="{ 'btn-danger': discrepanciaColor, 'btn-outline-dark': !discrepanciaColor }">
            <label class="font-weight-bold">Ama Llaves</label>
            <h3>{{ _RoomStatusService.rooms[index]?.cellaves }}</h3>
        </button>
        <button class="btn border-status btn-style" [ngClass]="{ 'btn-info': sistema, 'btn-outline-dark': !sistema }">
            <label class="font-weight-bold">Sistema</label>
            <h3>{{ _RoomStatusService.rooms[index]?.cecomp }}</h3>
        </button>
        <button class="btn btn-outline-dark border-status btn-style">
            <label class="font-weight-bold">Revisión</label>
            <h3>{{ _RoomStatusService.rooms[index]?.cerev }} -</h3>
        </button>
        <button class="btn btn-outline-dark border-status btn-style">
            <label class="font-weight-bold">Botones</label>
            <h3>{{ _RoomStatusService.rooms[index]?.ceboton }} -</h3>
        </button>
        <button class="btn btn-outline-dark border-status btn-style" style="width:220px">
            <label class="font-weight-bold">Notas</label>
            <h3>{{ _RoomStatusService.rooms[index]?.cnota }}</h3>
        </button>
    </div>
</div>